%define plugdir %{_libdir}/gkrellm2/plugins
%define datadir %{_datadir}/gkrellm2

Summary:        GKrellWeather is a weather plugin for GKrellM
Name:           gkrellm-weather
Version:        2.0.6
Release:        2
Epoch:          0
License:        GPL
Group:          Applications/System
URL:            http://kmlinux.fjfi.cvut.cz/~makovick/gkrellm/
Source0:  http://kmlinux.fjfi.cvut.cz/~makovick/gkrellm/gkrellweather-2.0.6.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  perl, gtk2-devel, gkrellm-devel >= 0:2, gettext
Requires:       gkrellm >= 0:2

%description
%{summary}.


%prep
%setup -q -n gkrellweather-%{version}
perl -pi -e \
  's|/usr/.+/GrabWeather\b|%{datadir}/GrabWeather| ;
   s|PREFIX "/bin/GrabWeather|"%{datadir}/GrabWeather| ' \
  gkrellweather.c
perl -pi -e \
  "s|^(CFLAGS\\s*=.+)\$|\$1 $RPM_OPT_FLAGS|" \
  Makefile


%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags} enable_nls=1


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{datadir},%{plugdir}}
cp -p *.so $RPM_BUILD_ROOT%{plugdir}
cp -p GrabWeather $RPM_BUILD_ROOT%{datadir}

make install INSTALL_PREFIX=$RPM_BUILD_ROOT LOCALEDIR=%{_datadir}/locale \
  -C po enable_nls=1
%find_lang gkrellweather


%clean
rm -rf $RPM_BUILD_ROOT


%files -f gkrellweather.lang
%defattr(0644,root,root,0755)
%doc ChangeLog COPYING README
%attr(0755,root,root) %{datadir}/*
%attr(0755,root,root) %{plugdir}/*


%changelog
* Fri Nov 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.6-2
- Clean up specfile and convert to UTF-8.

* Sun Apr 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.6-0.fdr.1
- First Fedora release.
